package it.unibas.morracineseping.vista.presentationmodel;

import it.unibas.morracineseping.Costanti;
import it.unibas.morracineseping.modello.Gioco;
import it.unibas.morracineseping.modello.Partita;
import it.unibas.ping.framework.Applicazione;
import it.unibas.ping.framework.Modello;

public class GiocoPM {
    
    private Modello modello = Applicazione.getInstance().getModello();
    private Gioco gioco = new Gioco();
        
    public int getPartiteVinteDalComputer() {
        return this.gioco.getPartiteVinteDalComputer();
    }
    
    public int getPartiteVinteDalGiocatore() {
        return this.gioco.getPartiteVinteDalGiocatore();
    }
    
    public void gestisciPartita(PartitaPM partitaPm) {
        this.gioco.gestisciPartita(partitaPm.getPartita());
        modello.notificaModificaProprieta(this, Costanti.PARTITE_COMPUTER);
        modello.notificaModificaProprieta(this, Costanti.PARTITE_GIOCATORE);
    }
    
}
