package it.unibas.morracineseping.controllo;

import it.unibas.morracineseping.Costanti;
import it.unibas.morracineseping.vista.presentationmodel.GiocoPM;
import it.unibas.morracineseping.vista.presentationmodel.PartitaPM;
import it.unibas.ping.azioni.IAzioneIniziale;
import it.unibas.ping.framework.Controllo;
import it.unibas.ping.framework.PingException;

public class AzioneIniziale implements IAzioneIniziale {
    
    public void esegui(Controllo controllo) {
        controllo.getModello().putBean(Costanti.GIOCO, new GiocoPM());
        controllo.getModello().putBean(Costanti.PARTITA, new PartitaPM());
    }
    
}
