package it.unibas.morracineseping.controllo;

import it.unibas.morracineseping.Costanti;
import it.unibas.morracineseping.vista.presentationmodel.PartitaPM;
import it.unibas.ping.azioni.AzionePingAstratta;
import it.unibas.ping.framework.Controllo;
import it.unibas.ping.framework.PingException;
import it.unibas.ping.framework.StatoPing;
import java.util.EventObject;

public class AzioneNuovaPartita extends AzionePingAstratta {
    
    public void esegui(EventObject object) {
        modello.putBean(Costanti.PARTITA, new PartitaPM());
        modello.removeBean(Costanti.MANO);
        modello.putBean(Controllo.STATO, new StatoPing(Costanti.STATO_PARTITA));
    }
    
    public boolean abilita(Integer statusId) {
        if (statusId == Costanti.STATO_NO_PARTITA) {
            return true;
        }
        return false;
    }
    
    public boolean disabilita(Integer statusId) {
        if (statusId == Costanti.STATO_PARTITA) {
            return true;
        }
        return false;
    }
}
