package it.unibas.morracineseping.modello;

public class Gioco {
    
    private int partiteVinteDalComputer;
    private int partiteVinteDalGiocatore;

    public int getPartiteVinteDalComputer() {
        return this.partiteVinteDalComputer;
    }

    public int getPartiteVinteDalGiocatore() {
        return this.partiteVinteDalGiocatore;
    }

    public void gestisciPartita(Partita partita) {
        assert(partita.getStato() != Partita.PARTITAINCORSO) : "La partita e' in corso";
        if (partita.getStato() == Partita.PARTITAVINTADALCOMPUTER) {
            this.partiteVinteDalComputer++;
        } else if (partita.getStato() == Partita.PARTITAVINTADALGIOCATORE) {
            this.partiteVinteDalGiocatore++;
        }
    }

}
